<div ng-controller="ClienteCtrl">
	<div class="page page-dashboard">
        <div class="pageheader">
            <div class="page-bar">
              <ul class="page-breadcrumb">
                <li>
                  <a ui-sref="home.dashboard"><i class="fa fa-home"></i> Home</a>
                </li>
                <li>
                  <a ui-sref="home.dashboard">Mantenimiento</a>
                </li>
              </ul>
            </div>
        </div>
        <div class="card-container">
			<div class="panel panel-success">
				<div class="panel-heading">
					<h3 class="panel-title"><span class="fa fa-users"></span> Lista de Clientes</h3>
				</div>
				<div class="panel-body">
					<div class="row">
						<div class="col-md-4">
							<input type="text" class="form-control" ng-model="buscar" placeholder="Buscar Cliente">
							<br>
						</div>
						<div class="col-md-4 col-md-offset-4">
							<button class="btn btn-success btn-rounded-10 btn-block" ng-if="permisosHas('mantenimiento.registrar')" ng-click="clear();openModalSave($event)"  data-options="splash-2 splash-ef-14"><i class="fa fa-plus"></i> agregar cliente</button>
						</div>
						<br ng-if="flag">
						<div class="loading-container" ng-if="flag">
	                        <div class="loading"></div>
	                        <div id="loading-text">Cargando</div>
	                    </div>
						<div class="col-md-12" ng-if="!flag">
						<br>
							<div class="table-responsive">
								<table class="table table-hover">
									<thead>
										<tr>
											<th style="vertical-align: middle;white-space: nowrap;"><i class="fa fa-user"></i> Cliente</th>
											<th style="vertical-align: middle;white-space: nowrap;" ng-if="permisosHas('correos.gestionar')">Email</th>
											<th style="vertical-align: middle;white-space: nowrap;"><i class="fa fa-phone"></i> Teléfono</th>
											<th style="vertical-align: middle;white-space: nowrap;" ng-if="permisosHas('cajas.asignar')">Asignar Cajas</th>
											<th style="vertical-align: middle;white-space: nowrap;" ng-if="permisosHas('operador.asignar')">Asignar Operadores</th>
											<th class="text-center" ng-if="permisosHas('mantenimiento.eliminar') || permisosHas('mantenimiento.actualizar')" width="350px"><i class="fa fa-cog"></i> Opciones</th>
										</tr>
									</thead>
									<tbody>
										<tr dir-paginate="cl in clientes |filter: buscar | itemsPerPage: 10" pagination-id="cl.id">
											<td style="vertical-align: middle;white-space: nowrap;">{{cl.razon_social}}</td>
											<td style="vertical-align: middle;white-space: nowrap;" ng-if="permisosHas('correos.gestionar')">
												<button class="btn btn-xs btn-primary" data-options="splash-2 splash-ef-14" ng-click="openModalCorreos($event,cl)">gestión correos @</button>
											</td style="vertical-align: middle;white-space: nowrap;">
											<td style="vertical-align: middle;white-space: nowrap;">{{cl.telefono}}</td>
											<td style="vertical-align: middle;white-space: nowrap;" ng-if="permisosHas('cajas.asignar')">
												<button class="btn btn-xs btn-primary" data-options="splash-2 splash-ef-14" ng-click="openModalCajas($event,cl)">asignar cajas</button>
											</td>
											<td style="vertical-align: middle;white-space: nowrap;" ng-if="permisosHas('operador.asignar')">
												<button class="btn btn-xs btn-primary" data-options="splash-2 splash-ef-14" ng-click="openModalOperadores($event,cl)">asignar operadores</button>
											</td>
											<td style="vertical-align: middle;white-space: nowrap;" ng-if="permisosHas('mantenimiento.eliminar') || permisosHas('mantenimiento.actualizar')" class="text-center">
												<button type="button" title="Editar Cliente {{cl.razon_social}}" class="btn btn-default btn-border btn-rounded-20" ng-if="permisosHas('mantenimiento.actualizar')" ng-click="load(cl);openModalSave($event)"  data-options="splash-2 splash-ef-14">actualizar <i class="fa fa-refresh"></i></button>

												<button type="button" title="Eliminar Cliente {{cl.razon_social}}" class="btn btn-default btn-border btn-rounded-20" ng-if="permisosHas('mantenimiento.eliminar')" ng-click="load(cl);openModalDelete($event)"  data-options="splash-2 splash-ef-14">eliminar <i class="fa fa-trash"></i></button>
											</td>
										</tr>
									</tbody>
								</table>
							</div>
							<div class="pull-right">
								<dir-pagination-controls pagination-id="cl.id"></dir-pagination-controls>
							</div>
						</div>
					</div>
				</div>
			</div>

			<script type="text/ng-template" id="modal_cliente.html">
		        <!-- <div class="modal-header">
		            <h3 class="modal-title custom-font">I'm a modal!</h3>
		        </div> -->
		        <div class="modal-body">
					<form>
						<legend class="text-center"><i class="fa fa-users"></i> <span ng-show="obj.crud"> Registrar</span><span ng-hide="obj.crud"> Actualizar datos del</span> Cliente</legend>
					
						<div class="form-group">
							<label for="">Cliente | <span class="obligatorio">(obligatorio)</span></label>
							<input type="text" class="form-control" ng-model="obj.razon_social" id="cliente" placeholder="Cliente">
						</div>

						<div class="form-group">
							<label for="">Correo Electrónico | <span class="obligatorio">(obligatorio)</span></label>
							<input type="text" class="form-control" ng-model="obj.email" id="email" placeholder="Email">
						</div>

						<div class="form-group">
							<label for="">Teléfono | <span class="obligatorio">(obligatorio)</span></label>
							<input type="text" class="form-control" ng-model="obj.telefono" id="telefono" placeholder="Telefono">
						</div>

						<div class="text-center">
			                <button type="button" class="btn btn-default" ng-click="createEdit()">
			                <span ng-if="obj.crud">Guardar</span><span ng-if="!obj.crud">Editar</span></button>
			                <button type="button" class="btn btn-primary" ng-click="cancel()">Cancelar</button>
			            </div>	
						
					</form>
				</div>
		    </script>

		    <script type="text/ng-template" id="modal_cliente_delete.html">
		        <div class="modal-header">
		        	<div class="text-center">
		        		<h3 class="modal-title custom-font">¿Desea eliminar este cliente?</h3>
		        	</div>            
		        </div>
		        <div class="modal-body">
					<div class="text-center">
						<h3>{{obj.razon_social}}</h3>
						<button type="button" class="btn btn-danger" ng-click="ok()">Aceptar</button>
		                <button type="button" class="btn btn-primary" ng-click="cancel()">Cancelar</button>
					</div>
				</div>
		    </script>
		    <script type="text/ng-template" id="modal_list_operadores.html">
		        <div class="modal-header">
		            <h3 class="modal-title custom-font">Lista de Operadores</h3>
		        </div>
		        <div class="modal-body">
		        	<div class="loading-container" ng-if="flag">
				        <div class="loading"></div>
				        <div id="loading-text">Cargando</div>
				    </div>
					<form ng-if="!flag">
						<div class="table-responsive">
							<table class="table table-hover">
								<thead>
									<tr>
										<th>Operador</th>
										<th class="text-center">Asignar</th>
									</tr>
								</thead>
								<tbody>
									<tr dir-paginate="op in operadores |filter: buscar | itemsPerPage: 5" pagination-id="op.id">
										<td>{{op.nombre}}</td>
										<td class="text-center">
											<div class="onoffswitch primary inline-block">
							                    <input type="checkbox" name="onoffswitch" class="onoffswitch-checkbox" ng-click="saveOperador(op)" ng-model="op.enable" id="switch{{$index}}" checked="">
							                    <label class="onoffswitch-label" for="switch{{$index}}">
							                      <span class="onoffswitch-inner"></span>
							                      <span class="onoffswitch-switch"></span>
							                    </label>
							                </div> 
										</td>
									</tr>
								</tbody>
							</table>
							<div class="pull-right">
								<dir-pagination-controls pagination-id="op.id"></dir-pagination-controls>
							</div>
						</div>
						
					</form>
					<div class="text-center">
		                <button type="button" class="btn btn-primary" ng-click="cancel()">Aceptar</button>
		            </div>
				</div>
		    </script>
		    <script type="text/ng-template" id="modal_list_cajas.html">
		        <div class="modal-header">
		            <h3 class="modal-title custom-font">Lista de Cajas</h3>
		        </div>
		        <div class="modal-body">
		        	<div class="loading-container" ng-if="flag">
				        <div class="loading"></div>
				        <div id="loading-text">Cargando</div>
				    </div>
					<form ng-if="!flag">
						<div class="table-responsive">
							<table class="table table-hover">
								<thead>
									<tr>
										<th>Cajas</th>
										<th class="text-center">Asignar</th>
									</tr>
								</thead>
								<tbody>
									<tr dir-paginate="ca in cajas |filter: buscar | itemsPerPage: 5" pagination-id="ca.id">
										<td>{{ca.marca}}</td>
										<td class="text-center">
											<div class="onoffswitch primary inline-block">
							                    <input type="checkbox" name="onoffswitch" class="onoffswitch-checkbox" ng-click="saveCaja(ca)" ng-model="ca.enable" id="switch{{$index}}" checked="">
							                    <label class="onoffswitch-label" for="switch{{$index}}">
							                      <span class="onoffswitch-inner"></span>
							                      <span class="onoffswitch-switch"></span>
							                    </label>
							                </div> 
										</td>
									</tr>
								</tbody>
							</table>
							<div class="pull-right">
								<dir-pagination-controls pagination-id="ca.id"></dir-pagination-controls>
							</div>
						</div>
						
					</form>
					<div class="text-center">
		                <button type="button" class="btn btn-primary" ng-click="cancel()">Aceptar</button>
		            </div>
				</div>
		    </script>
		    <script type="text/ng-template" id="modal_list_correos.html">
		        <div class="modal-header">
		            <h3 class="modal-title custom-font">Gestión de Correos</h3>
		        </div>
		        <div class="modal-body">
		        	<div class="loading-container" ng-if="flag">
				        <div class="loading"></div>
				        <div id="loading-text">Cargando</div>
				    </div>
					<div ng-if="!flag">
						<div  ng-show="flagCorreo">
							<div class="row">
								<div class="col-md-4"></div>
								<div class="col-md-8">
									<div class="input-group">
						              <input type="email" class="form-control" placeholder="email@mail.com" ng-model="d.email">
						              <span class="input-group-btn">
						                <button class="btn btn-success" ng-disabled="!d.email" ng-click="saveCorreo(d)" type="button"><i class="fa fa-plus"></i> Agregar</button>
						              </span>
						            </div>
								</div>
							</div>
							<div class="table-responsive" ng-show="correos.length>0">
								<table class="table table-hover">
									<thead>
										<tr>
											<th>Correos</th>
											<th class="text-center">Operaciones</th>
										</tr>
									</thead>
									<tbody>
										<tr dir-paginate="co in correos |filter: buscar | itemsPerPage: 5" pagination-id="co.id">
											<td>{{co.email}}</td>
											<td class="text-center">
												 <button class="btn btn-xs btn-danger" ng-click="eliminarCorreo(co)"><i class="fa fa-trash"></i></button>
											</td>
										</tr>
									</tbody>
								</table>
								<div class="pull-right">
									<dir-pagination-controls pagination-id="co.id"></dir-pagination-controls>
								</div>
							</div>
							<div class="col-md-12" ng-show="correos.length == 0">
	                            <p class="text-center">
	                                <i class="fa fa-inbox fa-4x"></i>
	                                <h4 class="text-center">aún no se han registrado correos para este cliente...</h4> 
	                            </p>
	                        </div>
						</div>						
						<div ng-show="!flagCorreo">
							hola
						</div>						
					</div>
					<div class="text-center">
		                <button type="button" class="btn btn-primary" ng-click="cancel()">Aceptar</button>
		            </div>
				</div>
		    </script>
		</div>
	</div>
</div>